<?php
namespace Mirasvit\Brand\Controller\Brand\Index;

/**
 * Interceptor class for @see \Mirasvit\Brand\Controller\Brand\Index
 */
class Interceptor extends \Mirasvit\Brand\Controller\Brand\Index implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\App\Action\Context $context, \Magento\Framework\View\Result\PageFactory $resultPageFactory, \Magento\Framework\App\Request\Http $request, \Mirasvit\Brand\Model\Config\Config $config, \Mirasvit\Brand\Service\BrandPageMetaService $brandPageMetaService)
    {
        $this->___init();
        parent::__construct($context, $resultPageFactory, $request, $config, $brandPageMetaService);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
